libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 > Class Template Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 > Class Template Reference

`#include <IWORKValueContext.h>`

Inheritance diagram for libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >:

## Public Member Functions
| IWORKValueContext (IWORKXMLParserState &state, boost::optional< Type > &value)
| IWORKValueContext (IWORKXMLParserState &state, Type &value, bool *isSet=nullptr)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | set (const Type &value)
IWORKXMLContextPtr_t | element (const int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Member Functions
| IWORKValueContext (const IWORKValueContext &)
IWORKValueContext & | operator= (const IWORKValueContext &)

## Private Attributes
boost::optional< Type > | m_value
boost::optional< Type > & | m_optional
Type *const | m_direct
bool *const | m_isSet

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKValueContext() [1/3]

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::IWORKValueContext | ( | IWORKXMLParserState & | state,
|  | boost::optional< Type > & | value )
| inline

## ◆ IWORKValueContext() [2/3]

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::IWORKValueContext | ( | IWORKXMLParserState & | state,
|  | Type & | value,
|  | bool * | isSet = nullptr )
| inline

## ◆ IWORKValueContext() [3/3]

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::IWORKValueContext | ( | const IWORKValueContext< Type, NestedParser, Id, Id2 > & |  | ) |
| private

## Member Function Documentation

## ◆ element()

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

IWORKXMLContextPtr_t libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::element | ( | const int | name | ) |
| inlineoverrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

void libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::endOfElement | ( |  | ) |
| inlineoverrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ operator=()

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

IWORKValueContext & libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::operator= | ( | const IWORKValueContext< Type, NestedParser, Id, Id2 > & |  | ) |
| private

## ◆ set()

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

void libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::set | ( | const Type & | value | ) |
| inlineprotected

## Member Data Documentation

## ◆ m_direct

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

Type* const libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::m_direct
| private

## ◆ m_isSet

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

bool* const libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::m_isSet
| private

## ◆ m_optional

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

boost::optional<Type>& libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::m_optional
| private

## ◆ m_value

template<typename Type, class NestedParser, unsigned Id, unsigned Id2 = 0>

boost::optional<Type> libetonyek::IWORKValueContext< Type, NestedParser, Id, Id2 >::m_value
| private

The documentation for this class was generated from the following file:

- IWORKValueContext.h